Page MenuHomePhabricator

Avoid jQuery.parseHTML
Closed, ResolvedPublic1 Story Points

Description

Using $( '<div attr="val">' ) is many times slower than $( '<div>' ).attr( 'attr', 'val' ) according to https://jsperf.com/parse-html-vs-set-attributes-vs-jq-options

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptFeb 19 2018, 12:18 PM

Change 412681 had a related patch set uploaded (by Esanders; owner: Esanders):
[mediawiki/extensions/Cite@master] Avoid jQuery.parseHTML

https://gerrit.wikimedia.org/r/412681

Change 412700 had a related patch set uploaded (by Esanders; owner: Esanders):
[VisualEditor/VisualEditor@master] Avoid jQuery.parseHTML

https://gerrit.wikimedia.org/r/412700

Change 412724 had a related patch set uploaded (by Esanders; owner: Esanders):
[mediawiki/extensions/VisualEditor@master] Avoid jQuery.parseHTML

https://gerrit.wikimedia.org/r/412724

Change 412681 merged by jenkins-bot:
[mediawiki/extensions/Cite@master] Avoid jQuery.parseHTML

https://gerrit.wikimedia.org/r/412681

Deskana assigned this task to Esanders.Feb 20 2018, 12:50 PM
Deskana triaged this task as Normal priority.
Deskana set the point value for this task to 1.
Deskana moved this task from To Triage to Current work on the VisualEditor board.
Deskana edited projects, added VisualEditor (Current work); removed VisualEditor.
Deskana moved this task from Incoming to In progress on the VisualEditor (Current work) board.

Change 412724 merged by jenkins-bot:
[mediawiki/extensions/VisualEditor@master] Avoid jQuery.parseHTML

https://gerrit.wikimedia.org/r/412724

Change 412700 merged by jenkins-bot:
[VisualEditor/VisualEditor@master] Avoid jQuery.parseHTML

https://gerrit.wikimedia.org/r/412700

Change 412958 had a related patch set uploaded (by Jforrester; owner: Jforrester):
[mediawiki/extensions/VisualEditor@master] Update VE core submodule to master (8c5b27028)

https://gerrit.wikimedia.org/r/412958

Change 412958 merged by jenkins-bot:
[mediawiki/extensions/VisualEditor@master] Update VE core submodule to master (8c5b27028)

https://gerrit.wikimedia.org/r/412958

Deskana closed this task as Resolved.Feb 22 2018, 11:42 AM